package cn.iocoder.yudao.module.remote.service.task;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.api.remote.dto.*;

import java.util.List;

public interface RemoteTaskService {

    PageResult<RemoteExceptionTaskDetailDTO> getExceptionTaskDetail(RemoteTaskQueryDTO remoteTaskQuery);

    List<RemoteRobotCameraDTO> getCarmeraByRobotNo(String robotNo);

    void remoteTransferTask(RemoteTaskTransferDTO remoteTaskTransfer);
}
